/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

//@line 7 "c:\Users\Administrator\dactyloidae\browser\branding\unofficial\pref\basilisk-branding.js"
// Shared Branding Preferences
// XXX: These should REALLY go back to application preferences
// Interval: Time between checks for a new version (in seconds)
pref("app.update.interval", 86400); // 1 day
// The time interval between the downloading of mar file chunks in the
// background (in seconds)
// 0 means "download everything at once"
pref("app.update.download.backgroundInterval", 0);
// Give the user x seconds to react before showing the big UI. default=192 hours
pref("app.update.promptWaitTime", 691200);
// The number of days a binary is permitted to be old
// without checking for an update.  This assumes that
// app.update.checkInstallTime is true.
pref("app.update.checkInstallTime.days", 14);
// Give the user x seconds to reboot before showing a badge on the hamburger
// button. default=immediately
pref("app.update.badgeWaitTime", 0);
// Number of usages of the web console or scratchpad.
// If this is less than 5, then pasting code into the web console or scratchpad is disabled
pref("devtools.selfxss.count", 100);
// 
pref("general.useragent.appVersionIsBuildID", false);
//@line 11 "c:\Users\Administrator\dactyloidae\browser\branding\unofficial\pref\basilisk-branding.js"
// Branding Specific Preferences
pref("startup.homepage_override_url", "");
pref("startup.homepage_welcome_url", "");
pref("startup.homepage_welcome_url.additional", "");
// Version release notes
pref("app.releaseNotesURL", "");
// base url for web-based feedback pages
pref("app.feedback.baseURL", "");
// Vendor home page
pref("app.vendorURL", "about:");
pref("app.update.url", "");
// URL user can browse to manually if for some reason all update installation
// attempts fail.
pref("app.update.url.manual", "about:");
// A default value for the "More information about this update" link
// supplied in the "An update is available" page of the update wizard.
pref("app.update.url.details", "about:");
// Provide UA Gecko and Firefox slices for web compatibility
pref("general.useragent.compatMode.firefox",true);
pref("general.useragent.compatMode.gecko",true);
// Switch Application Updates off for unofficial branding
pref("app.update.enabled", false);
// User Agent Overrides
// %OS_SLICE% macro is resolved at runtime, see MoonchildProductions/UXP/issues/1473
// Special-case Cuckflare
// With Lun3r useragent they send a challenge that fucks up the browser JS system. So we fake PM.
pref("general.useragent.override.cloudflare.com","Mozilla/5.0 (%OS_SLICE% rv:4.8) Goanna/20170101 PaleMoon/34.2.0");
// Required for domains that are unresponsive to requests from users (or likely to be)
pref("general.useragent.override.aol.com","Mozilla/5.0 (%OS_SLICE% rv:52.9) Gecko/20100101 Firefox/52.9 (Basilisk)");
pref("general.useragent.override.bing.com","Mozilla/5.0 (%OS_SLICE% rv:52.9) Gecko/20100101 Firefox/52.9 (Basilisk)");
pref("general.useragent.override.chase.com","Mozilla/5.0 (%OS_SLICE% rv:102.0) Gecko/20100101 Firefox/102.0");
pref("general.useragent.override.dropbox.com","Mozilla/5.0 (%OS_SLICE% rv:68.9) Gecko/20100101 Firefox/68.9 (Basilisk)");
pref("general.useragent.override.instagram.com","Mozilla/5.0 (%OS_SLICE% rv:68.0) Gecko/20100101 Firefox/68.0");
pref("general.useragent.override.google.com","Mozilla/5.0 (%OS_SLICE% rv:115.0) Gecko/20100101 Firefox/115.0 Dactyloidae/52.13.2");
pref("general.useragent.override.googlevideos.com","Mozilla/5.0 (%OS_SLICE% rv:38.9) Gecko/20100101 Goanna/4.8 Firefox/38.9 Dactyloidae/52.13.2");
pref("general.useragent.override.gstatic.com","Mozilla/5.0 (%OS_SLICE% rv:115.0) Gecko/20100101 Firefox/115.0 Dactyloidae/52.13.2");
pref("general.useragent.override.kroger.com","Mozilla/5.0 (%OS_SLICE% rv:86.0) Gecko/20100101 Firefox/86.0 (Basilisk)");
pref("general.useragent.override.live.com","Mozilla/5.0 (%OS_SLICE% rv:52.9) Gecko/20100101 Firefox/52.9 (Basilisk)");
pref("general.useragent.override.msn.com","Mozilla/5.0 (%OS_SLICE% rv:52.9) Gecko/20100101 Firefox/52.9 (Basilisk)");
pref("general.useragent.override.netteller.com","Mozilla/5.0 (%OS_SLICE% rv:52.9) Gecko/20100101 Firefox/52.9");
pref("general.useragent.override.patientaccess.com","Mozilla/5.0 (%OS_SLICE% rv:60.0) Gecko/20100101 Firefox/60.0 Dactyloidae/52.13.2");
pref("general.useragent.override.outlook.com","Mozilla/5.0 (%OS_SLICE% rv:52.9) Gecko/20100101 Firefox/52.9 (Basilisk)");
pref("general.useragent.override.vimeo.com", "Mozilla/5.0 (iPhone; CPU iPhone OS 15_5 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) EdgiOS/102.0.1245.30 Version/15.0 Mobile/15E148 Safari/604.1");
pref("general.useragent.override.web.de","Mozilla/5.0 (%OS_SLICE% rv:52.9) Gecko/20100101 Firefox/52.9 (Basilisk)");
pref("general.useragent.override.yahoo.com","Mozilla/5.0 (%OS_SLICE% rv:99.9) Gecko/20100101 Firefox/99.9");
pref("general.useragent.override.calendar.yahoo.com","Mozilla/5.0 (%OS_SLICE% rv:52.9) Gecko/20100101 Firefox/52.9 (Basilisk)");
// Soundcloud uses Firefox-exclusive combinations of code. Never pass Firefox slice.
pref("general.useragent.override.soundcloud.com","Mozilla/5.0 (%OS_SLICE% rv:4.8) Goanna/20170101 Dactyloidae/52.13.2");
pref("general.useragent.override.players.brightcove.net","Mozilla/5.0 (Windows NT 6.1; Trident/7.0; rv:11.0) like Gecko");
// Google fonts serves physically different fonts to later Firefox versions that render incorrectly unless on Gecko
pref("general.useragent.override.fonts.googleapis.com", "Mozilla/5.0 (%OS_SLICE% rv:61.9) Gecko/20100101 Firefox/61.9");
pref("general.useragent.override.fonts-api.wp.com", "Mozilla/5.0 (%OS_SLICE% rv:61.9) Gecko/20100101 Firefox/61.9");
// The following requires native mode. Or it blocks.. "too old firefox", breakage, etc.
pref("general.useragent.override.deviantart.com","Mozilla/5.0 (%OS_SLICE% rv:4.8) Goanna/20170101 Dactyloidae/52.13.2");
pref("general.useragent.override.deviantart.net","Mozilla/5.0 (%OS_SLICE% rv:4.8) Goanna/20170101 Dactyloidae/52.13.2");
pref("general.useragent.override.altibox.dk","Mozilla/5.0 (%OS_SLICE% rv:4.8) Goanna/20170101 Dactyloidae/52.13.2");
pref("general.useragent.override.altibox.no","Mozilla/5.0 (%OS_SLICE% rv:4.8) Goanna/20170101 Dactyloidae/52.13.2");
pref("general.useragent.override.firefox.com","Mozilla/5.0 (%OS_SLICE% rv:4.8) Goanna/20170101 Dactyloidae/52.13.2");
pref("general.useragent.override.mozilla.org","Mozilla/5.0 (%OS_SLICE% rv:4.8) Goanna/20170101 Dactyloidae/52.13.2");
pref("general.useragent.override.mozilla.com","Mozilla/5.0 (%OS_SLICE% rv:4.8) Goanna/20170101 Dactyloidae/52.13.2");
pref("general.useragent.override.github.com","Mozilla/5.0 (%OS_SLICE% rv:4.8) Goanna/20170101 Dactyloidae/52.13.2");
pref("general.useragent.override.zoho.com","Mozilla/5.0 (%OS_SLICE% rv:4.8) Goanna/20170101 Dactyloidae/52.13.2");
// UA-Sniffing domains below have indicated no interest in supporting Basilisk (BOO!)
pref("general.useragent.override.humblebundle.com","Mozilla/5.0 (%OS_SLICE% rv:52.9) Gecko/20100101 Firefox/52.9 (Basilisk)");
pref("general.useragent.override.privat24.ua","Mozilla/5.0 (%OS_SLICE% rv:38.0) Gecko/20100101 Firefox/38.0");
pref("general.useragent.override.citi.com","Mozilla/5.0 (%OS_SLICE% rv:68.0) Gecko/20100101 Firefox/68.0 SeaMonkey/2.53.12");
pref("general.useragent.override.facebook.com","Mozilla/5.0 (%OS_SLICE% rv:68.0) Gecko/20100101 Firefox/68.0 Dactyloidae/52.13.2");
pref("general.useragent.override.mewe.com", "Mozilla/5.0 (%OS_SLICE% rv:102.0) Gecko/20100101 Firefox/102.0");
// UA-sniffing domains that are "app/vendor-specific" and do not like Dactyloidae
pref("general.useragent.override.web.whatsapp.com","Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/70.0.3538.77 Safari/537.36");
pref("general.useragent.override.youtube.com","Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/149.0.0.0 Safari/537.36");
pref("general.useragent.override.studio.youtube.com","Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/149.0.0.0 Safari/537.36");
pref("general.useragent.override.gaming.youtube.com","Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/149.0.0.0 Safari/537.36");
// The following domains do not like the Goanna slice
pref("general.useragent.override.bab.la","Mozilla/5.0 (%OS_SLICE% rv:52.9) Gecko/20100101 Firefox/52.9");
pref("general.useragent.override.babla.gr","Mozilla/5.0 (%OS_SLICE% rv:52.9) Gecko/20100101 Firefox/52.9");
pref("general.useragent.override.collinsdictionary.com","Mozilla/5.0 (%OS_SLICE% rv:52.9) Gecko/20100101 Firefox/52.9");
pref("general.useragent.override.dictionary.cambridge.org","Mozilla/5.0 (%OS_SLICE% rv:52.9) Gecko/20100101 Firefox/52.9");
pref("general.useragent.override.hitbox.tv","Mozilla/5.0 (%OS_SLICE% rv:52.9) Gecko/20100101 Firefox/52.9");
pref("general.useragent.override.ldoceonline.com","Mozilla/5.0 (%OS_SLICE% rv:52.9) Gecko/20100101 Firefox/52.9");
pref("general.useragent.override.yuku.com","Mozilla/5.0 (%OS_SLICE% rv:52.9) Gecko/20100101 Firefox/52.9 Dactyloidae/52.13.2");
// Domains Basilisk overrides that are not in the Pale Moon overrides
pref("general.useragent.override.twitter.com","Mozilla/5.0 (%OS_SLICE% rv:102.0) Gecko/20100101 Firefox/102.0 Dactyloidae/52.13.2");
pref("general.useragent.override.x.com","Mozilla/5.0 (%OS_SLICE% rv:102.0) Gecko/20100101 Firefox/102.0 Dactyloidae/52.13.2");
pref("general.useragent.override.slack.com","Mozilla/5.0 (%OS_SLICE% rv:120.0) Gecko/20100101 Firefox/120.0 Dactyloidae/52.13.2");
pref("general.useragent.override.apple.com","Mozilla/5.0 (%OS_SLICE% rv:128.0) Gecko/20100101 Firefox/128.0");
// There are multiple addons on the Pale Moon addons site that work with Basilisk that are not listed on the Basilisk addons site.
pref("general.useragent.override.addons.palemoon.org","Mozilla/5.0 (%OS_SLICE% rv:52.9) Gecko/20100101 Goanna/4.8 Firefox/52.9 PaleMoon/34.2.0");
// Same goes for upstream Firefox addons on the Mozilla addons site since this fork has (some) WebExtensions support now
pref("general.useragent.override.addons.mozilla.org", "Mozilla/5.0 (%OS_SLICE%; Win64; x64; rv:147.0) Gecko/20100101 Firefox/147.0");
// (WIP) Chrome Web Store addons support - report as Chrome
pref("general.useragent.override.chromewebstore.google.com","Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/149.0.0.0 Safari/537.36");
// (WIP) Edge Addons store addons support - report as MS Edge (new)
pref("general.useragent.override.microsoftedge..microsoft.com","Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/149.0.0.0 Edg/149.0.0.0 Safari/537.36");
// ============================================================================
